Export then import of a character does not result in a new character
03/24/2021 05:17 PM - Jay Gischer
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

The export produces a file, but reimport of that file does nothing visible. It seems that it might be related to having a character with
that name already existing.

History

#1 - 03/26/2021 06:12 PM - Jay Gischer

- Status changed from New to In Progress

This is, in fact, expected behavior, since we do not allow multiple entities with the same name. (Decks, Cards, etc.) However, the response of the
system to this operation is somewhat unsatisfying, since the system does nothing with no explanation. The user can easily think the system has
ignored them or failed for some reason.

#2 - 04/02/2021 06:51 PM - Jay Gischer

- Status changed from In Progress to Resolved

In order to support a better U/X, the code for processing an archive and adding all its modules to the system was refactored into a Meteor Method
call. Otherwise, thrown exceptions never make it to the client.

#3 - 04/06/2021 05:51 PM - Jay Gischer

- Status changed from Resolved to Closed

Pushed with 0.13.2
